COPS

List videos

GET
/videos

List the videos tracked in your organization, each with metrics (views, likes, comments, shares) and its account/creator/campaign. Supports offset/limit paging and filters (creatorIds, accountIds, campaignIds, platforms, dateRange). Use a returned video id with get_video.

Authorization

apiKeyAuth
headerx-api-key<token>

API key for authentication. Keys are prefixed with cops_.

Query Parameters

accountScope?string
Value in"campaign""tracked"
creatorIds?array<>
accountIds?array<>
campaignIds?array<>
platforms?array<>
dateRange?
metricFilters?
sortBy?string
Value in"title""platform""accountHandle""viralityMultiplier""views""likes""comments""shares""bookmarks""engagement""publishedAt""updatedAt"
sortOrder?string
Value in"asc""desc"
limit?integer
Range-9007199254740991 <= value <= 9007199254740991
offset?integer
Range0 <= value <= 9007199254740991
showExcluded?boolean

Response Body

Response schema unavailable.

Example Request
curl -X GET 'https://cops.app/api/brand/videos'
Example Response200
Empty